Skip to content

REST API - nibiru/devgas ​

Query Service - nibiru/devgas ​

/nibiru/devgas/v1/fee_shares/ ​

bash
# You can also use wget
curl -X GET https://lcd.nibiru.fi/nibiru/devgas/v1/fee_shares/{contract_address} \
  -H 'Accept: application/json'
Summary ​

FeeShare retrieves a registered FeeShare for a given contract address

Parameters ​
NameLocated inDescriptionRequiredSchema
contract_addresspathcontract_address of a registered contract in bech32 formatYesstring
Responses ​
CodeDescriptionSchema
200A successful response.v1QueryFeeShareResponse
defaultAn unexpected error response.runtimeError

/nibiru/devgas/v1/fee_shares/ ​

bash
# You can also use wget
curl -X GET https://lcd.nibiru.fi/nibiru/devgas/v1/fee_shares/{deployer} \
  -H 'Accept: application/json'
Summary ​

FeeShares retrieves all FeeShares that a deployer has registered

Parameters ​
NameLocated inDescriptionRequiredSchema
deployerpathTODO feat(devgas): re-implement the paginated version TODO feat(colletions): add automatic pagination generationYesstring
Responses ​
CodeDescriptionSchema
200A successful response.v1QueryFeeSharesResponse
defaultAn unexpected error response.runtimeError

/nibiru/devgas/v1/fee_shares/ ​

bash
# You can also use wget
curl -X GET https://lcd.nibiru.fi/nibiru/devgas/v1/fee_shares/{withdrawer_address} \
  -H 'Accept: application/json'
Summary ​

FeeSharesByWithdrawer retrieves all FeeShares with a given withdrawer address

Parameters ​
NameLocated inDescriptionRequiredSchema
withdrawer_addresspathwithdrawer_address in bech32 formatYesstring
Responses ​
CodeDescriptionSchema
200A successful response.v1QueryFeeSharesByWithdrawerResponse
defaultAn unexpected error response.runtimeError

/nibiru/devgas/v1/params ​

bash
# You can also use wget
curl -X GET https://lcd.nibiru.fi/nibiru/devgas/v1/params \
  -H 'Accept: application/json'
Summary ​

Params retrieves the module params

Responses ​
CodeDescriptionSchema
200A successful response.v1QueryParamsResponse
defaultAn unexpected error response.runtimeError

Models ​

protobufAny ​

NameTypeDescriptionRequired
type_urlstringNo
valuebyteNo

runtimeError ​

NameTypeDescriptionRequired
errorstringNo
codeintegerNo
messagestringNo
details[ protobufAny ]No

v1FeeShare ​

NameTypeDescriptionRequired
contract_addressstringNo
deployer_addressstringdeployer_address is the bech32 address of message sender. It must be the same as the contracts admin address.No
withdrawer_addressstringwithdrawer_address is the bech32 address of account receiving the transaction fees.No

v1ModuleParams ​

NameTypeDescriptionRequired
enable_fee_sharebooleanNo
developer_sharesstringNo
allowed_denoms[ string ]allowed_denoms defines the list of denoms that are allowed to be paid to the contract withdraw addresses. If said denom is not in the list, the fees will ONLY be sent to the community pool. If this list is empty, all denoms are allowed.No

v1QueryFeeShareResponse ​

QueryFeeShareResponse is the response type for the Query/FeeShare RPC method.

NameTypeDescriptionRequired
feesharev1FeeShareNo

v1QueryFeeSharesByWithdrawerResponse ​

QueryFeeSharesByWithdrawerResponse is the response type for the Query/FeeSharesByWithdrawer RPC method.

NameTypeDescriptionRequired
feeshare[ v1FeeShare ]No

v1QueryFeeSharesResponse ​

QueryFeeSharesResponse is the response type for the Query/FeeShares RPC method.

NameTypeDescriptionRequired
feeshare[ v1FeeShare ]No

v1QueryParamsResponse ​

QueryParamsResponse is the response type for the Query/Params RPC method.

NameTypeDescriptionRequired
paramsv1ModuleParamsNo